<?php

namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (file_exists(SYSTEMPATH . 'Config/Routes.php'))
{
	require SYSTEMPATH . 'Config/Routes.php';
}

/**
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
$routes->setAutoRoute(true);

/*
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */

// We get a performance increase by specifying the default
// route since we don't have to scan directories.

$routes->add('ident','BoUser::ident',['filter'=>'noauth']) ;
$routes->add('bo_user', 'BoUser::index',['filter'=>'auth']);
$routes->add('bo_user/(:any)', 'BoUser::$1',['filter'=>'auth']);
$routes->get('logout', 'BoUser::logout');

$routes->add('acte', 'Acte::index',['filter'=>'auth']);
$routes->add('acte/(:any)', 'Acte::$1',['filter'=>'auth']);

$routes->add('patient', 'Patient::index',['filter'=>'auth']);
$routes->add('patient/(:any)', 'Patient::$1',['filter'=>'auth']);

$routes->add('scan', 'Scan::index',['filter'=>'auth']);
$routes->add('scan/(:any)', 'Scan::$1',['filter'=>'auth']);

$routes->add('prescription', 'Prescription::index',['filter'=>'auth']);
$routes->add('prescription/(:any)', 'Prescription::$1',['filter'=>'auth']);

$routes->add('ville', 'Ville::index',['filter'=>'auth']);
$routes->add('ville/(:any)', 'Ville::$1',['filter'=>'auth']);

$routes->add('agenda', 'Agenda::index',['filter'=>'auth']);
$routes->add('agenda/(:any)', 'Agenda::$1',['filter'=>'auth']);

$routes->add('visite', 'Visite::index',['filter'=>'auth']);
$routes->add('visite/(:any)', 'Visite::$1',['filter'=>'auth']);

$routes->add('rdv', 'Rdv::index',['filter'=>'auth']);
$routes->add('rdv/(:any)', 'Rdv::$1',['filter'=>'auth']);


// $routes->get('/(:any)', 'Page::index/$1',['filter'=>'auth']);

$routes->add('(:any)', 'Page::index/$1',['filter'=>'auth']);


$routes->get('/', 'Agenda::index',['filter'=>'auth']);

/*
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (file_exists(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php'))
{
	require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
